%define	upstream_name	 Gnome2-Wnck
%define	upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl module for the gnome2-2.x wnck libraries
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        https://gtk2-perl.sourceforge.net/
Source0:    https://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.30.0
BuildRequires: perl(Glib) >= 1.180.0
BuildRequires: perl(Gtk2) >= 1.0.0
BuildRequires: pkgconfig(libwnck-1.0) >= 2.19.5
BuildRequires: perl-devel
BuildRequires: pkgconfig
BuildRequires: x11-server-xvfb
Conflicts:	drakxtools < 9.1-15mdk
Requires:   perl-Glib >= 1.00
%description
This module provides perl access to GNOME-2.x wnck libraries.

libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml NEWS README
%{_mandir}/*/*
%{perl_vendorarch}/Gnome2/*
%{perl_vendorarch}/auto/Gnome2/*


%changelog
* Fri Dec 01 2023 tv <tv> 0.180.0-5.mga10
+ Revision: 2012026
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.180.0-4.mga9
+ Revision: 1863252
- Rebuild for Perl 5.36

* Fri Apr 01 2022 umeabot <umeabot> 0.180.0-3.mga9
+ Revision: 1838622
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.180.0-2.mga9
+ Revision: 1727675
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 0.180.0-1.mga9
+ Revision: 1690222
- update to 0.18

* Thu Jun 18 2020 tv <tv> 0.160.0-23.mga8
+ Revision: 1596457
- rebuild for perl-5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.160.0-22.mga8
+ Revision: 1529036
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 0.160.0-21.mga8
+ Revision: 1433003
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.160.0-20.mga7
+ Revision: 1293016
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.160.0-19.mga7
+ Revision: 1249402
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.160.0-18.mga7
+ Revision: 1164586
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.160.0-17.mga7
+ Revision: 1150190
- Rebuild for perl ABI changes
- Rebuild for perl ABI changes

* Sun Jul 23 2017 tv <tv> 0.160.0-15.mga7
+ Revision: 1129319
- fix build with perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-14.mga6
+ Revision: 1027953
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.160.0-13.mga6
+ Revision: 957398
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.160.0-12.mga6
+ Revision: 844881
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 0.160.0-11.mga6
+ Revision: 841061
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-10.mga5
+ Revision: 742990
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-9.mga5
+ Revision: 684884
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.160.0-8.mga5
+ Revision: 632441
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-7.mga4
+ Revision: 524789
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.160.0-6.mga4
+ Revision: 431528
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-5.mga3
+ Revision: 367821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.160.0-4.mga3
+ Revision: 250675
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 0.160.0-3.mga2
+ Revision: 138587
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 0.160.0-2.mga2
+ Revision: 104612
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 36278
- mageia rebuild
- imported package perl-Gnome2-Wnck

